[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.Kind

The orientation for the scroll bar: horizontal or vertical.

## Declaration

Source position: forms.pp line 149

`public property TControlScrollBar.Kind : TScrollBarKind read FKind;`

## Description

Kind is a read-only TScrollBarKind property which indicates the orientation for the scroll bar. The value for Kind is passed as an argument to the Create constructor, and stored in the property. The value in Kind is used in methods which update properties or state for the control, such as:

- Position
- Range
- Page
- Tracking
- Size
- ClientSize
- ControlSize
- IsScrollBarVisible
- GetOtherScrollBar
- UpdateScrollBar

## See also

TControlScrollBar.Create |  | Constructor for the class instance.